%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-mechanize
Version:       0.4.10
Release:       1mamba
Summary:       Stateful programmatic web browsing in Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python-mechanize/mechanize
Source:        https://pypi.debian.net/mechanize/mechanize-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(html5lib)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-build-py3
BuildRequires: python-wheel-py3
BuildRequires: python-python_install-py3

%description
Stateful programmatic web browsing in Python, after Andy Lester’s Perl module WWW::Mechanize.

%if 0%{?with_pyver}
%if "%{?with_pyver}" == "3"
%define py_requires_append \
Obsoletes:     python-mechanize-py310 <= 0.4.9-1mamba
%endif
%pyver_package
%endif

%prep
%setup -q -n mechanize-%{version}

%build
%{__python} -m build --wheel --skip-dependency-check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m venv --system-site-packages test-env
%{__python} -m install --optimize=1 --destdir="%{buildroot}" dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*

%changelog
* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 0.4.10-1mamba
- automatic version update by autodist

* Tue Mar 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.9-2mamba
- obsolete python-mechanize-py310

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 0.4.9-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 0.4.8-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat May 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.8-3mamba
- use python-build to fix uninstalled files

* Thu May 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.8-2mamba
- rebuilt with distdeps and python 3.10 subpackage

* Fri Apr 15 2022 Automatic Build System <autodist@mambasoft.it> 0.4.8-1mamba
- automatic version update by autodist

* Sun Sep 19 2021 Automatic Build System <autodist@mambasoft.it> 0.4.7-1mamba
- automatic version update by autodist

* Wed Sep 01 2021 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.5-2mamba
- rebuilt with py3* packages

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.4.5-1mamba
- automatic version update by autodist

* Fri Nov 08 2019 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-2mamba
- python 2.7 mass rebuild

* Fri Apr 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1mamba
- update to 0.2.5
- make package name same as specfile by renaming package from mechanize to python-mechanize

* Mon Dec 27 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.2.4-1mamba
- package created by autospec
